# Uses of Class
java.util.concurrent.atomic.AtomicLongFieldUpdater

Packages that use AtomicLongFieldUpdater
Package
Description
java.util.concurrent.atomic
A small toolkit of classes that support lock-free thread-safe programming on single variables.

## Uses of AtomicLongFieldUpdater in java.util.concurrent.atomic

Methods in java.util.concurrent.atomic that return AtomicLongFieldUpdater
Modifier and Type
Method
Description
`static <U> AtomicLongFieldUpdater<U>`
AtomicLongFieldUpdater.`newUpdater(Class<U> tclass, String fieldName)`
Creates and returns an updater for objects with the given field.